
QGIS Application - Bug report #8182

Broken support for FileGDB

2013-06-27 10:08 AM - zirneklitis -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Linux, OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17001

Description

It is impossible to open FileGDB with the compiled QGIS version from the latest source (git clone git://github.com/qgis/Quantum-GIS.git

2013.06.27.). Qgis starts a never-ending loop.

The compiled version from the source acquired on 2013.06.16 opens the same FGDB without any problems.

OS version: Fedora 18 x64

History

#1 - 2013-07-22 04:50 PM - John Tull

- Operating System changed from Linux to Linux, OSX

- Target version set to Version 2.0.0

I can confirm that attempting to load a FileGDB layer that is properly handled by gdal causes a program freeze.

#2 - 2013-07-22 05:05 PM - John Tull

Below is a backtrace from gdb off of my build. I'm not sure if this is helpful or not...

Program received signal SIGTERM, Terminated.

0x0000000105e83063 in CatalogRegistry::Unregister ()

(gdb) 

(gdb) backtrace

#0  0x0000000105e83063 in CatalogRegistry::Unregister ()

#1  0x0000000105e7ead5 in FileGDBAPI::Geodatabase::CloseGeodatabase ()

#2  0x0000000105e83b49 in FileGDBAPI::CloseGeodatabase ()

#3  0x0000000102913681 in FGdbDataSource::~FGdbDataSource ()

#4  0x00000001029135ef in FGdbDataSource::~FGdbDataSource ()

#5  0x0000000112cb162d in QgsOgrFeatureIterator::close ()

#6  0x0000000112cb13cd in QgsOgrFeatureIterator::nextFeature ()

#7  0x00000001032ce600 in QgsVectorLayerFeatureIterator::nextFeature ()

#8  0x00000001032ad7be in QgsVectorLayer::drawRendererV2 ()

#9  0x00000001032ae9e8 in QgsVectorLayer::draw ()

#10 0x0000000103212020 in QgsMapRenderer::render ()

#11 0x000000010373eb3b in QgsMapCanvasMap::render ()

#12 0x000000010373a49e in QgsMapCanvas::refresh ()

#13 0x000000010001b6f4 in QgisApp::dropEvent ()
#14 0x0000000103ee7fb8 in QWidget::event ()

#15 0x00000001041cd7b0 in QMainWindow::event ()

#16 0x000000010001bec5 in QgisApp::event ()

#17 0x0000000103ea9bc8 in QApplicationPrivate::notify_helper ()

#18 0x0000000103eac099 in QApplication::notify ()

#19 0x0000000103174a33 in QgsApplication::notify ()

#20 0x0000000103c31639 in QCoreApplication::notifyInternal ()

#21 0x0000000103e5cd04 in -[QCocoaWindow performDragOperation:] ()

#22 0x00007fff8c5a594f in NSCoreDragReceiveMessageProc ()

#23 0x00007fff89dc346a in DoMultipartDropMessage ()

#24 0x00007fff89dc3135 in DoDropMessage ()

#25 0x00007fff89dc3c5e in CoreDragMessageHandler ()

#26 0x00007fff8da3d58d in CFMessagePortPerform ()

#27 0x00007fff8d951d09 in __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE1_PERFORM_FUNCTION ()

#28 0x00007fff8d951a49 in __CFRunLoopDoSource1 ()

#29 0x00007fff8d984c02 in __CFRunLoopRun ()

#30 0x00007fff8d9840e2 in CFRunLoopRunSpecific ()

#31 0x00007fff89695eb4 in RunCurrentEventLoopInMode ()

#32 0x00007fff89695c52 in ReceiveNextEventCommon ()

#33 0x00007fff89695ae3 in BlockUntilNextEventMatchingListInMode ()

#34 0x00007fff8c254533 in _DPSNextEvent ()

#35 0x00007fff8c253df2 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()

#36 0x00007fff8c24b1a3 in -[NSApplication run] ()

#37 0x0000000103e67541 in QEventDispatcherMac::processEvents ()

#38 0x0000000103c2ed89 in QEventLoop::processEvents ()

#39 0x0000000103c2eee7 in QEventLoop::exec ()

#40 0x0000000103c31a6b in QCoreApplication::exec ()

#41 0x000000010000aabd in main ()

#3 - 2013-11-21 11:20 PM - Matthias Kuhn

- Status changed from Open to Closed

This issue has been reported against a development version and not seen any updates for several months, so I assume it is solved meanwhile.

Please reopen if this is still an issue.
